Subject: bug#64527: closed (Re: bug#64527: [PATCH 1/2] gnu: bees: Update to 0.10.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 19 Jul 2023 13:45:02 +0000

Your bug report

#64527: [PATCH 1/2] gnu: bees: Update to 0.10.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
64527: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=64527
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#64527: [PATCH 1/2] gnu: bees: Update to 0.10.
From: Hilton Chain <[email-masked]>
To: 宋文武 <[email-masked]>
Cc: [email-masked]
Date: Wed, 19 Jul 2023 21:44:52 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

On Tue, 18 Jul 2023 19:42:15 +0800,
宋文武 wrote:
> Hello, does the 'substitute*' broken?  or why should we prefer
> wrap-script over hardcode paths in the original executables?

Nevermind, I'm still confused about whether to make a wrapper or not.
But since it's not the preferred way (I thought it was), I'll reduce
its use in the future.

Thanks

Subject: [PATCH 1/2] gnu: bees: Update to 0.10.
From: Hilton Chain <[email-masked]>
To: [email-masked]
Cc: Hilton Chain <[email-masked]>
Date: Sat, 8 Jul 2023 11:46:25 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/file-systems.scm (bees): Update to 0.10.
---
 gnu/packages/file-systems.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/file-systems.scm b/gnu/packages/file-systems.scm
index dd84696316..0b024d6b92 100644
--- a/gnu/packages/file-systems.scm
+++ b/gnu/packages/file-systems.scm
@@ -1951,7 +1951,7 @@ (define-public fuse-overlayfs
 (define-public bees
   (package
     (name "bees")
-    (version "0.9.2")
+    (version "0.10")
     (source (origin
               (method git-fetch)
               (uri (git-reference
@@ -1970,7 +1970,7 @@ (define-public bees
                      (("#include .crucible/city.h.") "#include <city.h>"))))
               (sha256
                (base32
-                "0xik1xg6ma5yglhvs60ny27242iapqwzikmqbgij1avjffs6776a"))))
+                "1j1v9bxijs8gvrb7rg0q1158xjvmfc8dlzwx768fxf3w8w2gfwvz"))))
     (build-system gnu-build-system)
     (arguments
      (list #:test-target "test"

base-commit: 3db685cb2e2ce2a4b29c62d28a66201b2eba018f
-- 
2.40.1